>From 8b62f2a93dd6f851c43e592cc5dac73c8afc62d9 Mon Sep 17 00:00:00 2001
From: Anthony Loiseau <anthony.loiseau@gmail.com>
Date: Tue, 4 Mar 2008 21:37:37 +0100
Subject: [PATCH] Avoid browser crashing on mozilla-plugin when jumping into the media
using the time-slider and no movie is loaded.
---
 projects/mozilla/vlcshell.cpp |   22 +++++++++++++---------
 1 files changed, 13 insertions(+), 9 deletions(-)

diff --git a/projects/mozilla/vlcshell.cpp b/projects/mozilla/vlcshell.cpp
index 66a73e5..2ed67a4 100644
--- a/projects/mozilla/vlcshell.cpp
+++ b/projects/mozilla/vlcshell.cpp
@@ -811,17 +811,21 @@ static void ControlHandler( Widget w, XtPointer closure, XEvent *event )
         /* jump in the movie */
         if( i_yPos <= (i_height-30) )
         {
-            vlc_int64_t f_length;
-            libvlc_exception_init( &ex );
-            f_length = libvlc_media_instance_get_length( p_md, &ex ) / 100;
-            libvlc_exception_clear( &ex );
+            /* if a movie is loaded */
+            if( p_md )
+            {
+                vlc_int64_t f_length;
+                libvlc_exception_init( &ex );
+                f_length = libvlc_media_instance_get_length( p_md, &ex ) / 100;
+                libvlc_exception_clear( &ex );
 
-            f_length = (float)f_length *
-                    ( ((float)i_xPos-4 ) / ( ((float)i_width-8)/100) );
+                f_length = (float)f_length *
+                        ( ((float)i_xPos-4 ) / ( ((float)i_width-8)/100) );
 
-            libvlc_exception_init( &ex );
-            libvlc_media_instance_set_time( p_md, f_length, &ex );
-            libvlc_exception_clear( &ex );
+                libvlc_exception_init( &ex );
+                libvlc_media_instance_set_time( p_md, f_length, &ex );
+                libvlc_exception_clear( &ex );
+            }
         }
 
         /* play/pause toggle */
-- 
1.5.2.5

